Subject: Re: [Dart] I-D Action: draft-ietf-dart-dscp-rtp-07.txt,

From: <[email-masked]>
Date: Wed, 1 Oct 2014 09:14:05 +0200

Hi David,

The draft is well written and I regard it as very helpful.

There's one change I'd like to suggest:

Section 3.1, list number 2. briefly explains AF. The section doesn't explicitly mention that traffic carried by one of the three PHBs of an AF class are not reordered. This feature, avoiding reordering packets belonging to different PHBs of an AF class, is however a kind of punch line whenever AF is referred to in later sections. So I'd welcome mentioning it in section 3.1, list point 2. 

################# minor comments (no objection if ignored) #############################

Section 4. , second block. Why are I-frames marked AF41 and P-frames AF43 in the example? To me, AF42 for P makes more sense (or make it AF42 for I frames). AF43 could be used for B-frames (which aren't mentioned in the text).

Section 5.1 second block after the bullet pointed list

".making reordering very likely."

Would "making reordering likely" be sufficient? 

Section 5.1

There's at least one ECMP implementation I'm aware of which includes QoS bits to calculate the load balancing hash value. It reorders packets of a flow using multiple classes, if they are spaced less than the resulting delay difference. This is an exceptional implementation, the other solutions I'm aware of do ignore QoS bits when calculating ECMP hash values. ECMP is a proprietary feature, I think.

And one editorial comment:

Section 3., last bullet point and following section: the bullet point is focused on Lower Effort PHB marked by CS 1 and the following section continues by discussing CS 1 issues more general. This discussion may be added to the bullet point (to me the discussion doesn't seem to be related to the first bullet point).

########################################################

Sorry for being late with my review.

Regards,

Ruediger